import 'dart:collection';

import 'package:flutter/material.dart';
// import 'package:flutter_android/dio/APIs.dart';
// import 'package:flutter_android/dio/HttpUtils.dart';
// import 'package:flutter_android/utils/Global.dart';
// import 'package:flutter_android/utils/ZyDateUtils.dart';
import 'package:flutter_html/flutter_html.dart';

import '../dio/APIs.dart';
import '../dio/HttpUtils.dart';
import '../utils/Global.dart';

class AppDetailWeb extends StatefulWidget {
  String helpContent;
  String name;
  AppDetailWeb(this.helpContent,this.name);

  @override
  State<StatefulWidget> createState() {
    return AppDetailWebState();
  }
}

class AppDetailWebState extends State<AppDetailWeb> {
  Map map = HashMap();
  bool isRefresh = true;


  @override
  void initState() {
    super.initState();
    // getArticleById();
  }

  //公告详情
  getArticleById() async {
    HttpUtils.postJSON(context, APIs.getDetail, {
      "token": await Global.getData("token"),
      // "id": widget.helpContent,
    }, success: (data) async {
      setState(() {
        isRefresh = true;
        map = data;
      });
    }, fail: (code, msg) {});
  }
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        centerTitle: true,
        title:  Text(widget.name,
          style: const TextStyle(color: Colors.white, fontSize: 18),
        ),
//          elevation: 0,   标题头阴影  0 为无
      ),
      backgroundColor: Colors.white,
      body: !isRefresh?Global.add(): SingleChildScrollView(
        // alignment: Alignment.topCenter,
          padding: const EdgeInsets.only(top: 10),
          child: Column(
            children: [
              // Container(
              //     margin: const EdgeInsets.only(left: 10, top: 20),
              //     child: Text(map["title"],
              //       style: const TextStyle(fontSize: 15, color: Color(0xff333333),
              //           fontWeight: FontWeight.bold),
              //     )
              // ),
              Container(
                  margin: const EdgeInsets.only(top: 10,left: 10),
                  child: Html(data: widget.helpContent)
              ),

            ],
          )),
    );
  }
}
