//
// import 'dart:collection';
// import 'package:flutter/foundation.dart';
// import 'package:flutter/services.dart';
// import 'package:flutter/material.dart';
//
// import '../widget/StickyTabBarDelegate.dart';
//
// class FactoryAuthentication extends StatefulWidget {
//   const FactoryAuthentication({super.key});
//
//   @override
//   State<StatefulWidget> createState() {
//     return FactoryAuthenticationState();
//   }
// }
// //工厂认证界面
// class FactoryAuthenticationState extends State with TickerProviderStateMixin {
//   TabController? newscontroller;
//   TextEditingController nickController = TextEditingController();
//   TextEditingController nameController = TextEditingController();
//   TextEditingController typeController = TextEditingController();
//   TextEditingController phoneController = TextEditingController();
//   TextEditingController emailController = TextEditingController();
//   TextEditingController areaController = TextEditingController();
//   TextEditingController infoController = TextEditingController();
//   List<String> homeNewsType = ["1、基本信息", "2、更多信息"];
//   int tabClickIndex = 0;
//   Map mapinfo = HashMap();
//
//   // late EventBus bus;
//
//   FactoryAuthenticationState();
//   @override
//   void initState() {
//     super.initState();
//     newscontroller = TabController(
//       length: homeNewsType.length, //设置了这个控制器要显示多少个
//       vsync: this,
//     );
//   }
//
//   @override
//   void deactivate() {
//     super.deactivate();
//   }
//
//   @override
//   Widget build(BuildContext context) {
//     return Scaffold(
//       appBar: AppBar(
//         centerTitle: false,
//         backgroundColor: Colors.white,
//         title: const Text(
//           "认证工厂",
//           style: TextStyle(color: Colors.black, fontSize: 18),
//         ),
//         elevation: 0,
//         leading: IconButton(
//           icon: const Icon(
//             Icons.arrow_back,
//             color: Colors.black,
//           ),
//           onPressed: () {
//             Navigator.pop(context);
//           },
//         ), //标题头阴影  0 为无
//       ),
//       // backgroundColor: Colors.white,
//       body: CustomScrollView(
//         slivers: [
//           //显示标题
//           getTabBar(),
//           tapClickWidget(),
//         ],
//       ),
//     );
//   }
//
//   Widget getTabBar() {
//     return SliverPersistentHeader(
//         delegate: StickyTabBarDelegate(
//             child: TabBar(
//       tabs: getTabs(),
//       //tab要显示内容如何显示
//       controller: newscontroller,
//       //控制tab显示多少个内容
//       indicatorColor: const Color(0xff07905F),
//       indicatorSize: TabBarIndicatorSize.label,
//       //下划线跟tab一样宽
//       isScrollable: false,
//       //不允许滑动
//       labelColor: Colors.black,
//       unselectedLabelColor: Colors.black,
//       indicatorWeight: 2.0,
//       //下划线高度
//       labelPadding:
//           const EdgeInsets.only(left: 10, right: 10, top: 10, bottom: 10),
//       //间距
//       labelStyle: const TextStyle(height: 2),
//       onTap: (index) {
//         setState(() {
//           tabClickIndex = index;
//         });
//       },
//     )));
//   }
//
//   List<Widget> getTabs() {
//     if (homeNewsType == []) {
//       return [];
//     } else {
//       return homeNewsType.map((f) {
//         return Text(
//           f, //对象里面显示的内容
//           style: const TextStyle(fontSize: 15),
//         );
//       }).toList();
//     }
//   }
//
//   Widget tapClickWidget() {
//     if (tabClickIndex == 0) {
//       return SliverToBoxAdapter(
//           child: Column(
//         children: [
//           inputBaseWidget("账号", nameController, "请输入"),
//           inputBaseWidget("名称", typeController, "请输入"),
//           inputBaseWidget("联系人", phoneController, "请输入"),
//           inputBaseWidget("联系电话", emailController, "请输入"),
//           inputBaseWidget("注册资本", areaController, "请输入"),
//           Container(
//             alignment: Alignment.topLeft,
//             margin: const EdgeInsets.only(left: 20, top: 10),
//             child: Row(
//               children: const [
//                 Text(
//                   "企业logo",
//                   style: TextStyle(fontSize: 14, color: Color(0xff333333)),
//                 )
//               ],
//             ),
//           ),
//           Container(
//             alignment: Alignment.topLeft,
//             margin: const EdgeInsets.only(left: 20, top: 20, right: 20),
//             child: Image.asset(
//               "images/logo.png",
//               width: 50,
//               height: 50,
//             ),
//           ),
//           Container(
//             alignment: Alignment.topLeft,
//             margin: const EdgeInsets.only(left: 20, top: 10),
//             child: Row(
//               children: const [
//                 Text(
//                   "营业执照",
//                   style: TextStyle(fontSize: 14, color: Color(0xff333333)),
//                 )
//               ],
//             ),
//           ),
//           Container(
//             alignment: Alignment.topLeft,
//             margin: const EdgeInsets.only(left: 20, top: 20, right: 20),
//             child: Image.asset(
//               "images/logo.png",
//               width: 50,
//               height: 50,
//             ),
//           ),
//           Container(
//             margin:
//                 const EdgeInsets.only(left: 10, right: 10, top: 20, bottom: 20),
//             width: double.infinity,
//             child: MaterialButton(
//               color: const Color(0xff0076C3),
//               highlightColor: Colors.blue[700],
//               colorBrightness: Brightness.dark,
//               splashColor: Colors.grey,
//               child: const Text("下一步"),
//               onPressed: () {
//                 setState(() {
//                   tabClickIndex = 1;
//                 });
//               },
//             ),
//           )
//         ],
//       ));
//     } else {
//       return SliverToBoxAdapter(
//           child: Column(children: [
//         inputBaseWidget("组织机构代码", nameController, "请输入"),
//         inputBaseWidget("法人代表", nameController, "请输入"),
//         factoryID(),
//         inputBaseWidget("注册日期", nameController, "请输入"),
//         selectBaseWidget("企业规模", nameController, "请选择"),
//         inputBaseWidget("官网地址", nameController, "请输入"),
//         selectBaseWidget("经营类型", nameController, "请选择"),
//         inputBaseWidget("日产能", nameController, "请输入"),
//         inputBaseWidget("员工数", nameController, "请输入"),
//         inputBaseWidget("起订量", nameController, "请输入"),
//         selectBaseWidget("接单状态", nameController, "请选择"),
//         Row(
//           children: [
//             Container(
//               margin: const EdgeInsets.only(left: 20, top: 20),
//               child: Row(
//                 children: const [
//                   Text(
//                     "企业简介",
//                     style: TextStyle(fontSize: 14, color: Color(0xff333333)),
//                   )
//                 ],
//               ),
//             ),
//           ],
//         ),
//         Container(
//           alignment: Alignment.topLeft,
//           margin: const EdgeInsets.only(left: 20, top: 10, right: 20),
//           height: 100,
//           child: Expanded(
//             child: TextFormField(
//               controller: nickController,
//               style: const TextStyle(fontSize: 14),
//               decoration: const InputDecoration(
//                 labelText: "请输入企业简介",
//                 border: InputBorder.none,
//               ),
//               onChanged: (v) {},
//             ),
//           ),
//         ),
//         //保存
//         GestureDetector(
//           child: Container(
//             margin:
//                 const EdgeInsets.only(left: 10, right: 10, top: 20, bottom: 20),
//             width: double.infinity,
//             child: MaterialButton(
//               color: const Color(0xff0076C3),
//               highlightColor: Colors.blue[700],
//               colorBrightness: Brightness.dark,
//               splashColor: Colors.grey,
//               child: const Text("提交"),
//               onPressed: () {},
//             ),
//           ),
//           onTap: () {},
//         ),
//       ]));
//     }
//   }
//
//   Widget factoryID() {
//     return Row(
//       children: [
//         SizedBox(
//             width: window.innerWidth! / 2,
//             child: Column(
//               children: [
//                 Container(
//                   alignment: Alignment.topLeft,
//                   margin: const EdgeInsets.only(left: 20, top: 10, right: 20),
//                   child: const Text(
//                     "身份证正面",
//                     style: TextStyle(fontSize: 14),
//                   ),
//                 ),
//                 Container(
//                   alignment: Alignment.topLeft,
//                   margin: const EdgeInsets.only(left: 20, top: 10, right: 20),
//                   child: Image.asset(
//                     "images/logo.png",
//                     width: 50,
//                     height: 50,
//                   ),
//                 ),
//               ],
//             )),
//         Column(
//           children: [
//             Container(
//               alignment: Alignment.topLeft,
//               margin: const EdgeInsets.only(left: 20, top: 10, right: 20),
//               child: const Text(
//                 "身份证反面",
//                 style: TextStyle(fontSize: 14),
//               ),
//             ),
//             Container(
//               alignment: Alignment.topLeft,
//               margin: const EdgeInsets.only(left: 20, top: 10, right: 20),
//               child: Image.asset(
//                 "images/logo.png",
//                 width: 50,
//                 height: 50,
//               ),
//             ),
//           ],
//         ),
//       ],
//     );
//   }
//
//   Widget inputBaseWidget(String name,
//       TextEditingController textEditingController, String labeltext) {
//     return Row(
//       //名称
//       children: [
//         Container(
//           width: 100,
//           margin: const EdgeInsets.only(left: 20, top: 10),
//           child: Text(
//             name,
//             style: const TextStyle(fontSize: 14, color: Color(0xff333333)),
//           ),
//         ),
//         Expanded(
//             child: Container(
//           margin: const EdgeInsets.only(left: 20, top: 10, right: 10),
//           child: TextFormField(
//             controller: textEditingController,
//             style: const TextStyle(fontSize: 14),
//             decoration: InputDecoration(
//               labelText: labeltext,
//               border: InputBorder.none,
//             ),
//             onChanged: (v) {},
//           ),
//         ))
//       ],
//     );
//   }
//
//   Widget selectBaseWidget(String name,
//       TextEditingController textEditingController, String labeltext) {
//     return Row(
//       //名称
//       children: [
//         Container(
//           width: 100,
//           margin: const EdgeInsets.only(left: 20, top: 10),
//           child: Text(
//             name,
//             style: const TextStyle(fontSize: 14, color: Color(0xff333333)),
//           ),
//         ),
//         Expanded(
//             child: Container(
//           margin: const EdgeInsets.only(left: 20, top: 10, right: 10),
//           child: Text(
//             labeltext,
//             style: const TextStyle(fontSize: 14),
//           ),
//         )),
//         Container(
//           margin: const EdgeInsets.only(left: 20, right: 10, top: 10),
//           child: const Icon(Icons.chevron_right),
//         )
//       ],
//     );
//   }
// }
