import 'dart:io';

// import 'package:device_info/device_info.dart';
import 'package:device_info_plus/device_info_plus.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
// import 'package:flutter_android/Login/BindPhone.dart';

// import 'package:flutter_android/dio/APIs.dart';
import 'package:textileclothing/dio/DioUtils.dart';
import 'package:textileclothing/dio/HttpUtils.dart';
// import 'package:flutter_android/widget/Toast.dart';
// import 'package:flutter_android/widget/loading/LoadingDialog.dart';
import 'package:textileclothing/dio/APIs.dart';
import 'package:textileclothing/dio/HttpUtils.dart';
import 'package:textileclothing/widget/Toast.dart';
import 'package:textileclothing/widget/loading/LoadingDialog.dart';
import 'package:toast/toast.dart';
import '../../utils/Global.dart';

abstract class LoginPresenter extends State {
  static const platform = MethodChannel('com.zhiyong.sfvpn/login');
  TextEditingController unameController = TextEditingController();
  TextEditingController passwordController = TextEditingController();
  TextEditingController ageController = TextEditingController();
  int faileState = 200;
  String tip = "";
  int number = 0;
  String code = "";
  String userid = "";
  bool ischeck = false;
  bool ischeckprivacy = false;
  int isVpnSuccess = 1;
  bool isAoutLogin = false;
  //   LoginBeanEntity loginBeanEntity;

  getLogin(String username, String password) async {
    // if (!kIsWeb) {
    //   try {
    //     final int result = await platform
    //         .invokeMethod('login', {"username": username, "password": password});
    //     isVpnSuccess = result;
    //   } on PlatformException catch (e) {
    //     isVpnSuccess = 1;
    //   }
    //   if(isVpnSuccess == 0){
    //     if(!isAoutLogin) {
    //       sendLogin();
    //     }else{
    //       getnewLogin();
    //     }
    //   }else{
    //     LoadingDialog().dismissLoadingDialog(context);
    //     Toasts.showToast("登录认证失败");
    //     // Toast.show(data["message"], gravity: Toast.center);
    //   }
    // }else{

    LoadingDialog().showLoadingDialog(context);
      sendLogin();
    // }
  }

  getLoginData() {
    if (unameController.text.isEmpty) {
      Toasts.showToast("请输入账号");
    } else if (passwordController.text.isEmpty) {
      Toasts.showToast("请输入密码");
    // } else if (number >= 3 && ageController.text.length == 0) {
    } else if (ageController.text.isEmpty) {
      Toasts.showToast("请输入验证码");
    // } else if (number >= 3 && ageController.text != code.replaceAll(" ", "")) {
    } else if (ageController.text != code.replaceAll(" ", "")) {
      Toasts.showToast("验证码错误");
    // }else if (!ischeckprivacy) {
    //
    //   Toast.toast(
    //     context,
    //     msg: "请勾选隐私条例",
    //     position: 'bottom',
    //   );
    } else {
      getLogin(unameController.text,passwordController.text);
    }
  }


  sendLogin(){
    //网络调用
    HttpUtils.postJSON(context,APIs.login, {
      "username": unameController.text,
      "password": passwordController.text,
      "captcha": "9999",
      "grant_type":"password",
      // "service": "${APIs.LOGIN_BASE}/wisdomSchool/#/home"
    }, success: (data) async {

        LoadingDialog().dismissLoadingDialog(context);

      if (data['code'] == '400'&& data['state'] == 200) {
        Toast.show(data["message"], gravity: Toast.center);
        // Toast.toast(
        //   context,
        //   msg: data["message"],
        //   position: 'bottom',
        // );
      } else  if(data['code'] == '40001'&& data['state'] == 200){

        Toast.show(data["message"], gravity: Toast.center);

      }else{
        if(data['access_token']!=""){
          Global.saveData("username", unameController.text);
          Global.saveData("password", passwordController.text);
          Global.saveDatatoBool("ischeck", ischeck);
          Global.saveData("token", data['access_token']);
          Navigator.of(context).pushNamed("/MyHome");
        }
      }
      }, fail: (code, msg) {}, type: Type.FORM);
  }
//username: admin
// password: cdzysoft@123
// captcha: 9999
// grant_type: password
//   sendLogin(){
//     //网络调用
//     HttpUtils.postJSON(context,APIs.login, {
//       "username": unameController.text,
//       "password": passwordController.text,
//       "captcha": "9999",
//       "grant_type":"password",
//       // "service": "${APIs.LOGIN_BASE}/wisdomSchool/#/home"
//     }, success: (data) async {
//       if (data['code'] == '400') {
// //         if (data['state'] == 200 && data['code'] == "0") {
// //           Global.saveData("token", data['data']['token']);
// //           Global.saveData("tgt", data['data']['tgt']);
// //           if(ischeck) {
// //             print("登录成功");
// //
// //             // APIs.username = unameController.text;
// //             // APIs.password = passwordController.text;
// //             // Global.saveData("username", unameController.text);
// //             // Global.saveData("password", passwordController.text);
// //             // Global.saveData("ischeck", ischeck.toString());
// //           }
// //           // getLoginInfoData();
// // //            Navigator.of(context).pushNamed("/home");
// //         }
//       } else {
//         if(!kIsWeb) {
//           LoadingDialog().dismissLoadingDialog(context);
//         }
//       //   number++;
//       //   setState(() {
//       //     number;
//       //     faileState = int.parse(data['code']);
//       //     if (faileState == 40001) {
//       //       if(data["data"]["noPassInfos"]["retry"]==null){
//       //         if(data["data"]["securityStrategyTypes"].toString().contains("expired")){
//       //           faileState = 4003;
//       //           userid = data["data"]["noPassInfos"]["expired"];
//       //           tip = "您的密码已过期，请立即修改密码";
//       //         }if(data["data"]["noPassInfos"]["unlock"]!=null){
//       //           tip = data["data"]["noPassInfos"]["unlock"];
//       //         }
//       //       }else {
//       //         tip = data["data"]["noPassInfos"]["retry"];
//       //       }
//       //     } else {
//       //       tip = data['data'];
//       //     }
//       //   });
//       }
//     }, fail: (code, msg) {
//       number++;
//       setState(() {
//         number;
//         faileState = code;
//         tip = msg;
//       });
//     }, type: Type.FORM);
//   }

  getnewLogin() async {

    HttpUtils.postJSON(context,APIs.login, {
      // "username": Global.getData("username"),
      // "password": Global.getData("password"),
      "username": unameController.text,
      "password": passwordController.text,
      "service": "${APIs.LOGIN_BASE}/wisdomSchool/#/home"
      // "service": "http://sso-yazjy-com-s.vpn.yazjy.com:8118/mobile/#/"
    }, success: (data) async {
      LoadingDialog().dismissLoadingDialog(context);
      if (data['code'] == '0') {
        if (data['state'] == 200 && data['code'] == "0") {
          Global.saveData("token", data['data']['token']);
          Global.saveData("tgt", data['data']['tgt']);
          Navigator.of(context).pushNamed("/MyHome");
          // Navigator.pushNamed(context, '/MyHome');
        }
      }

    }, fail: (code, msg) {}, type: Type.FORM);
  }


  getLoginInfoData() async {

    // String? token =  await Global.getData("token");
    // HttpUtils.postJSON(context,APIs.Login_Info + "?token=" + token!, {
    //   "equipmentCode": getDeviceInfo(),
    // }, success: (data) async {
    //   if(!kIsWeb){
    //     LoadingDialog().dismissLoadingDialog(context);
    //   }
        // if (!data["data"]["isBindPhoneOrEmail"]) {
          // Navigator.push(context, MaterialPageRoute(builder: (context) {
            // return BindPhone();
          // }));
        // }else{
        //   Navigator.of(context).pushNamed("/MyHome");
          // Navigator.pushNamed(context, '/MyHome');
        // }
    // }, fail: (code, msg) {}, type: Type.JSON);
  }

  String? getDeviceInfo() {
    DeviceInfoPlugin deviceInfo = new DeviceInfoPlugin();
    try {
      if (Platform.isAndroid) {
        AndroidDeviceInfo androidInfo =
        deviceInfo.androidInfo as AndroidDeviceInfo;
        return androidInfo.androidId;
      } else if (Platform.isIOS) {
        IosDeviceInfo iosInfo = deviceInfo.iosInfo as IosDeviceInfo;
        return iosInfo.identifierForVendor;
      } else {
        return "10011001";
      }
    } catch (e) {
      return "10011001";
    }
  }

}
