
import 'dart:collection';
import 'dart:developer';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

import 'Global.dart';

class Popwindos {

  static void showMyDialogWithListViewMapsingle(List<Map> list,BuildContext context,Function(Map) callback) {
    showDialog(
      context: context,
      builder: (BuildContext context) {
        return AlertDialog(
            content: SizedBox(
              width: Global.getScale(context)*300,
              height: Global.getScale(context)*450,
              child: ListView.builder(
                itemBuilder: (BuildContext context, int index) {
                  return  GestureDetector(
                          child:Container(
                            alignment: Alignment.topLeft,
                            width: 100,
                            padding: const EdgeInsets.all(10),
                            child: Text(list[index]["name"],
                                style: const TextStyle(
                                    fontSize: 14, color: Color(0xff666666))),
                          ),
                          onTap: (){
                            // Map data = new HashMap();
                            // data.putIfAbsent("name", () => map[index]);
                            // data.putIfAbsent("id", () => map[index]);
                            callback.call(list[index]);
                            Navigator.pop(context);

                          }
                      );
                },
                itemCount: list.length,
                shrinkWrap: true,
              ),
            ));
      },
    );
  }

  static void showMyDialogWithListView(List<Map> list,BuildContext context,Function(Map) callback) {
    showDialog(
      context: context,
      builder: (BuildContext context) {
        return AlertDialog(
            content: SizedBox(
              width: Global.getScale(context)*80,
              height: Global.getScale(context)*100,
              child: ListView.builder(
                itemBuilder: (BuildContext context, int index) {
                  return  GestureDetector(
                      child:Container(
                        alignment: Alignment.center,
                        width: 100,
                        padding: const EdgeInsets.all(10),
                        child: Text(list[index]["name"],
                            style: const TextStyle(
                                fontSize: 14, color: Color(0xff666666))),
                      ),
                      onTap: (){
                        callback.call(list[index]);
                        Navigator.pop(context);

                      }
                  );
                },
                itemCount: list.length,
                shrinkWrap: true,
              ),
            ));
      },
    );
  }
  // static void showMyDialogWithListViewsinglecall(List name,BuildContext context,Function(String) callback) {
  //   showDialog(
  //     context: context,
  //     builder: (BuildContext context) {
  //       return new AlertDialog(
  //           content: new Container(
  //             width: Global.getScale(context)*300,
  //             height: Global.getScale(context)*450,
  //             child: new ListView.builder(
  //               itemBuilder: (BuildContext context, int index) {
  //                 return  Expanded(
  //                     flex: 4,
  //                     child: GestureDetector(
  //                         child:Container(
  //                           alignment: Alignment.topLeft,
  //                           width: 100,
  //                           padding: EdgeInsets.all(10),
  //                           child: Text(name[index],
  //                               style: TextStyle(
  //                                   fontSize: 14, color: Color(0xff666666))),
  //                         ),
  //                         onTap: (){
  //                           callback.call(name[index]);
  //                           Navigator.pop(context);
  //                         }
  //                     )
  //                 );
  //               },
  //               itemCount: name.length,
  //               shrinkWrap: true,
  //             ),
  //           ));
  //     },
  //   );
  // }

}