import 'package:flutter/material.dart';
import 'package:flutter/painting.dart';

// import 'package:flutter_screen_scaler/flutter_screen_scaler.dart';

import '../dio/APIs.dart';
// import 'package:flutter_android/dio/APIs.dart';

//查看办事流程
class AppDetailImg extends StatefulWidget {
  String id;
  // String appId;

  // AppDetailImg(this.appId, this.id, {Key? key}) : super(key: key);

  AppDetailImg( this.id);

  @override
  State<StatefulWidget> createState() {
    return AppDetailImgState(id);
  }
}

class AppDetailImgState extends State {
  String  id;


  AppDetailImgState(this.id);

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    // ScreenScaler scaler = ScreenScaler()..init(context);
    return Scaffold(
      appBar: AppBar(
        title: const Text("查看办事流程",style: TextStyle(color: Colors.black),),
        centerTitle: true,
        backgroundColor: Colors.white,
        elevation: 0,
        iconTheme: const IconThemeData(
          color: Color(0xff333333), //修改颜色
        ), toolbarTextStyle: Theme
            .of(context)
            .textTheme
            .apply(
          bodyColor: const Color(0xff333333),
          displayColor: const Color(0xff333333),
        ).bodyText2, titleTextStyle: Theme
            .of(context)
            .textTheme
            .apply(
          bodyColor: const Color(0xff333333),
          displayColor: const Color(0xff333333),
        ).headline6,
      ),
      body: FadeInImage.assetNetwork(
        image:
        "${APIs.LOGIN_BASE}/produce/v1/api/onestop/UnifiedAppFormApi/getProcessImg?appId=$id",
        placeholder: 'images/loading.gif',
        fit: BoxFit.fitWidth,
      ),
    );
  }
}
