
import 'package:flutter/material.dart';
import 'package:textileclothing/Iconfont.dart';
class LockSucess extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return LockSucessState();
  }
}

class LockSucessState extends State {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text("解锁成功"),
        centerTitle: true,
        backgroundColor: Colors.white,
        iconTheme: const IconThemeData(
          color: Color(0xff333333), //修改颜色
        )
      ),
      backgroundColor: Colors.white,
      body: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Container(
            margin: const EdgeInsets.only(top: 30, bottom: 10),
            alignment: Alignment.center,
            child: const Icon( Iconfont.successBig,color: Color(0xff3fcc78),size:100),
          ),
          Container(
            margin: const EdgeInsets.only(top: 10, bottom: 10),
            alignment: Alignment.center,
            child: const Text(
              "恭喜！您已成功解锁账号！",
              style: TextStyle(
                  color: Colors.black,
                  fontWeight: FontWeight.bold,
                  fontSize: 16),
            ),
          ),
          Container(
            margin: const EdgeInsets.only(left: 20, right: 20, top: 20),
            padding: const EdgeInsets.only(left: 20, right: 20, top: 15, bottom: 15),
            width: double.infinity,
            height: 70,
            child: MaterialButton(
              color: const Color(0xff0076C3),
              highlightColor: Colors.blue[700],
              colorBrightness: Brightness.dark,
              splashColor: Colors.grey,
              child: const Text("进入首页"),
              onPressed: () {
                Navigator.of(context).pushNamed("/home");
              },
            ),
          ),
        ],
      ),
    );
  }
}
