// // @dart=2.9
// import 'package:flutter/material.dart';
// import 'package:flutter/widgets.dart';
//
// const int _windowPopupDuration = 300;
// const double _kWindowCloseIntervalEnd = 2.0 / 3.0;
// const Duration _kWindowDuration = Duration(milliseconds: _windowPopupDuration);
//
// typedef AnimatedWidgetBuilder = Widget Function(Widget child,
//     Animation<double> animation, Animation<double> secondaryAnimation);
//
//
// class PopupWindowRoutes<T> extends PopupRoute<T> {
//   PopupWindowRoutes(
//       {this.position,
//         this.child,
//         this.elevation,
//         this.theme,
//         this.barrierLabel,
//         this.semanticLabel,
//         this.duration,
//         this.type = MaterialType.card,
//         this.builder,
//         this.onShow,
//         this.onDismiss});
//
//   @override
//   Animation<double> createAnimation() {
//     return CurvedAnimation(
//         parent: super.createAnimation(),
//         curve: Curves.linear,
//         reverseCurve: const Interval(0.0, _kWindowCloseIntervalEnd));
//   }
//
//   setStatus() {
//     setState(() {
//       child;
//     });
//   }
//
//   final RelativeRect position;
//   Widget child;
//   final double elevation;
//   final ThemeData theme;
//   final String semanticLabel;
//   @override
//   final String barrierLabel;
//   final int duration;
//   final MaterialType type;
//   final AnimatedWidgetBuilder builder;
//   final Function(PopupWindowRoutes) onShow;
//   final Function(PopupWindowRoutes) onDismiss;
//
//   @override
//   Duration get transitionDuration =>
//       duration == 0 ? _kWindowDuration : Duration(milliseconds: duration);
//
//   @override
//   bool get barrierDismissible => true;
//
//   @override
//   Color get barrierColor => null;
//
//   @override
//   bool didPop(T result) {
//     onDismiss?.call(this);
//     return super.didPop(result);
//   }
//
//   @override
//   TickerFuture didPush() {
//     onShow?.call(this);
//     return super.didPush();
//   }
//
//   @override
//   Widget buildPage(BuildContext context, Animation<double> animation,
//       Animation<double> secondaryAnimation) {
//     return Builder(
//       builder: (BuildContext context) {
//         return CustomSingleChildLayout(
//           delegate: _PopupWindowLayout(position),
//           child:child
// //            AnimatedBuilder(
// //              child: child,
// //              animation: animation,
// //              builder: (BuildContext context, Widget child) {
// //                return builder == null
// //                    ? FadeTransition(
// //                  opacity: animation,
// //                  child: Material(
// //                    type: type,
// //                    elevation: elevation,
// //                    child: child,
// //                  ),
// //                )
// //                    : builder(child, animation, secondaryAnimation);
// //              }),
//         );
//       },
//     );
//   }
// }
//
// class _PopupWindowLayout extends SingleChildLayoutDelegate {
//   _PopupWindowLayout(this.position);
//
//   // Rectangle of underlying button, relative to the overlay's dimensions.
//   final RelativeRect position;
//
//   // We put the child wherever position specifies, so long as it will fit within
//   // the specified parent size padded (inset) by 8. If necessary, we adjust the
//   // child's position so that it fits.
//
//   @override
//   BoxConstraints getConstraintsForChild(BoxConstraints constraints) {
//     // The menu can be at most the size of the overlay minus 8.0 pixels in each
//     // direction.
//     return BoxConstraints.loose(constraints.biggest);
//   }
//
//   @override
//   Offset getPositionForChild(Size size, Size childSize) {
//     // size: The size of the overlay.
//     // childSize: The size of the menu, when fully open, as determined by
//     // getConstraintsForChild.
//
//     // Find the ideal vertical position.
//     double y = position.top;
//
//     // Find the ideal horizontal position.
//     double x;
//     if (position.left > position.right) {
//       // Menu button is closer to the right edge, so grow to the left, aligned to the right edge.
//       x = size.width - position.right - childSize.width;
//     } else if (position.left < position.right) {
//       // Menu button is closer to the left edge, so grow to the right, aligned to the left edge.
//       x = position.left;
//     }
//     return Offset(x, y);
//   }
//
//   @override
//   bool shouldRelayout(_PopupWindowLayout oldDelegate) {
//     return position != oldDelegate.position;
//   }
// }