import 'package:flutter/material.dart';

typedef CallBack = void Function(int index);

class LoadingState extends StatefulWidget {


  @override
  State<StatefulWidget> createState() {
    return LoadingStateState();
  }
}

class LoadingStateState extends State<LoadingState> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      height: double.infinity,
      alignment: Alignment.center,
      color: Colors.white,
      child: Container(
        height: 200,
        padding: EdgeInsets.all(10),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceAround,
          children: <Widget>[
            Container(
              width: 150,
              height: 150,
              child: Image.asset('images/timg.gif'),
            ),
            Text('拼命加载中...', maxLines: 1)
          ],
        ),
      ),
    );
  }
}
